- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# /home/coin/SVN-release/Osi-0.98.1/Osi/src/OsiSolverInterface.hpp File Reference

`#include <string>`
`#include <vector>`
`#include "CoinMessageHandler.hpp"`
`#include "CoinPackedVectorBase.hpp"`
`#include "OsiCollections.hpp"`
`#include "OsiSolverParameters.hpp"`
`#include "CoinFinite.hpp"`

Include dependency graph for OsiSolverInterface.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | OsiSolverInterface
| Solver Interface Abstract Base Class. More...
class | OsiSolverInterface::ApplyCutsReturnCode
| Internal class for obtaining status from the applyCuts method. More...
## Functions
int | OsiSolverInterfaceCommonUnitTest (const OsiSolverInterface *emptySi, const std::string &mpsDir, const std::string &netlibDir)
| A function that tests the methods in the OsiSolverInterface class.
int | OsiSolverInterfaceMpsUnitTest (const std::vector< OsiSolverInterface * > &vecSiP, const std::string &mpsDir)
| A function that tests that a lot of problems given in MPS files (mostly the NETLIB problems) solve properly with all the specified solvers.

## Function Documentation

int OsiSolverInterfaceCommonUnitTest | ( | const OsiSolverInterface * | emptySi,
|  | const std::string & | mpsDir,
|  | const std::string & | netlibDir |
| ) |  |  |

A function that tests the methods in the OsiSolverInterface class.

The only reason for it not to be a member method is that this way it doesn't have to be compiled into the library. And that's a gain, because the library should be compiled with optimization on, but this method should be compiled with debugging. Also, if this method is compiled with optimization, the compilation takes 10-15 minutes and the machine pages (has 256M core memory!)...

int OsiSolverInterfaceMpsUnitTest | ( | const std::vector< OsiSolverInterface * > & | vecSiP,
|  | const std::string & | mpsDir |
| ) |  |  |

A function that tests that a lot of problems given in MPS files (mostly the NETLIB problems) solve properly with all the specified solvers.